<?php
require_once "./config.php";
?>
<HTML>
<BODY>
<?php

  $server = "ldap.vsb.cz";
  if (empty($_POST["login"]))
  {$login = "";
  $loginZmenu = $login;}
  else {$login = $_POST["login"];
        $loginZmenu = $login;};
		
  if (empty($_POST["heslo"]))
  {$heslo = "";}
  else {$heslo = $_POST["heslo"];}
  if (empty($_GET["loginZmenu"]))
  {}
  else {$login = $_GET["loginZmenu"];
        $loginZmenu = $login;}
  if (empty($_GET["heslo"]))
  {}
  else {$heslo = $_GET["heslo"];}
  
  
  
  $filtr = "(&(cn=*$login*)(sn=*$heslo*))";
  $c_vystup = ldap_connect($server);
  $b_vystup = ldap_bind($c_vystup);
  $s_vystup = ldap_search($c_vystup, "", $filtr);
  $info = ldap_get_entries($c_vystup, $s_vystup);
  $numrows = $info["count"];

  if ( $numrows == 0 ) {
    echo "<P>Nenalezen požadovaný záznam vztahující se k <b>heslu:</b>'<i>".$heslo." "."</i>'a <b>loginu:</b>'<i>"." ".$login."</i>'</P>";
    echo "</BODY></HTML>";
    ldap_close($c_vystup);
    echo "Pro návrat do hlavního menu <a href='index.php'>klikněte zde</a>.";
    exit;
  }
    else
    {
        $_SESSION['user'] = $login;
    }  

?> 

<?php
echo "<h3>Zobrazení výsledku hledání</h3>";
    echo "Pro návrat do hlavního menu <a href='index.php'>klikněte zde</a>.";
echo "<br/><br/><sup>Pozn.: Pro zobrazení detailů o jednom konkrétním uživateli klikněte na jeho zvýrazněný <b>login</b></sup>";
echo "<TABLE BORDER='1' style='text-align: center'>";
echo "<tr><th colspan='2'>Výsledky</th></tr>";
echo "<tr><th>Jméno</th><th>Login</th></tr>";
  for ($rownum = 0; $rownum<$numrows; $rownum++) {
$login2[]=$info[$rownum]['cn'][0];
if (empty($info[$rownum]['givenname'][0]))
{$info[$rownum]['givenname'][0]="";}
echo 
"<tr>

<td>".$info[$rownum]['givenname'][0]." ".$info[$rownum]['sn'][0]."</td>
<td>"."<a href='vyvolani.php?login=$login2[$rownum]&heslo=$heslo&loginZmenu=$loginZmenu'>"
.$info[$rownum]['cn'][0]."</a>"."</td>

</tr>";
}
echo "</TABLE>";
?>

<?php
   ldap_close($c_vystup);
?>
</BODY>
</HTML>